# VinScanResult class

Result of license plate scanning

Inheritance
  - Object
  - Result
  - VinScanResult
Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, explicitToJson: true)

## Constructors

VinScanResult({String rawText = '', double confidence = 0.0})
VinScanResult.canceled()
VinScanResult.error(String message)
VinScanResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

confidence ↔ double
  The confidence of the recognition
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
message ↔ String?
  Message with description of returned result, for example, error message
  getter/setter pair inherited
operationResult ↔ OperationResult?
  Standard result status
  getter/setter pair inherited
rawText ↔ String
  The raw detected text
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited